Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.store.jpa
Class Model

    java.lang.Object
      org.modeshape.connector.store.jpa.Model

Direct Known Subclasses:
  SimpleModel

    public abstract class Model

extends Object

A descriptor of a schema used by this connector.

See Also:
  `JpaSource.Models`, `JpaSource.Models.addModel(Model)`, `JpaSource.setModel(String)`, `JpaSource.getModel()`

Constructor Summary
`protected` | `Model(String name, I18n description)`

Method Summary
`abstract RepositoryConnection` | `createConnection(JpaSource source)`
`boolean` | `equals(Object obj)`
`String` | `getDescription()` Get the description of this model in the default locale.
`String` | `getDescription(Locale locale)` Get the description of this model in the supplied locale.
`abstract Class<?>[]` | `getEntityClasses()` Return the entity classes that will be used by JPA to store information in the database.
`String` | `getName()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Model

    protected Model(String name,
                    I18n description)

Method Detail

### getName

    public final String getName()

### getDescription

    public String getDescription()

  Get the description of this model in the default locale.

  Returns:
    the description of this model; never null

### getDescription

    public String getDescription(Locale locale)

  Get the description of this model in the supplied locale.

  Parameters:
    `locale` - the locale in which the description is to be returned
  Returns:
    the description of this model; never null

### createConnection

    public abstract RepositoryConnection createConnection(JpaSource source)

### getEntityClasses

    public abstract Class<?>[] getEntityClasses()

  Return the entity classes that will be used by JPA to store information in the database.

  Returns:
    an array of the classes that will be used by this model; never null

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public final boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.